@import "@/assets/scss/global";

.side-bar-menu-wrapper {
    display: flex;
    flex-direction: column;
    padding: 10px;
    gap: 10px;
    width: 100%;
    min-height: 100%;
    height: 100%;
    background: #FFFFFF;
    backdrop-filter: blur(2px);
    border-radius: 24px;

    .top {
        position: relative;
        width: 100%;
        max-height: 90px;
        border-bottom: 1px solid #F4F7FC;
        padding: 20px 0;
        text-align: center;
        cursor: pointer;

        display: flex;
        justify-content: center;
        align-items: center;


    }

    .center {
        flex: 1;
        max-height: calc(100% - 91px);
        overflow-x: hidden;
        overflow-y: auto;

            &::-webkit-scrollbar {
                width: 5px;
                background-color: transparent;
            }
            &::-webkit-scrollbar-track {
                background-color: transparent;
                border-radius: 10px;
                margin-top: 1rem;
                margin-bottom: 1rem;
            }
            &::-webkit-scrollbar-thumb {
                border-radius: 10px;
            }
            &.compact-mode{
                max-height: initial;
                overflow: visible;

                display: flex;
                flex-direction: column;
                justify-content: flex-start;
                align-items: center;
                gap: 10px;

                .side-item {
                    width: 50px;
                    border-radius: 12px;
                    align-items: center;
                    margin-bottom: 0;

                    &.active{
                        background-color: #ED3902;
                        &:hover{
                            background-color: #ED3902;
                            svg{
                                path {
                                    fill: #FFFFFF;
                                } 
                            }
                        }

                        svg{
                            path {
                                fill: #FFFFFF;
                            } 
                        }
                    }

                    &:hover{
                        background-color: #FFF8F4;
                        svg{
                            path {
                                fill: #ED3902;
                            } 
                        }
                    }
                }
            }
        .side-item {
            position: relative;
            display: flex;
            align-items: flex-start;
            min-height: 50px;
            box-sizing: border-box;
            column-gap: 10px;
            cursor: pointer;
            padding: 10px;
            font-weight: 500;
            margin-bottom: 8px;
            svg {
                height: 20px;
            }
            &:after{
                position: absolute;
                content: "";
                right: -40px;
                top: 0;
                background-color: transparent;
                width: 50px;
                height: 50px;
                padding: 12px;
            }

            &.active {
                background-color: #FFF8F4;
                border-radius: 8px;
            }
            
            &.has-item{
                align-items: center;
            }
            .active-name {
                color: $dark-color;
            }

            a {
                color: $grey-color1;
            }

            .left-icon {
                path {
                    fill: $primary-color;
                }
            }

            .chevron-icon {
                margin-left: auto;
                transition: all .2s linear;
                min-width: 16px;
            }

            .active-chev-icon {
                transform: rotateZ(90deg);
            }

            .tooltip-menu {
                position: absolute;
                left: 55px;
                top: 0;
                background-color: $primary-color3;
                width: max-content;
                max-width: 220px;
                padding: 12px;
                border-radius: 12px;
                box-shadow: 0px 12px 20px rgba(9, 9, 9, 0.1);

                &.with-item{
                    position: absolute;
                    left: 60px;
                    top: 0;
                    background-color: #FFFFFF;
                    padding: 12px;
                    border-radius: 12px;

                    display: flex;
                    flex-direction: column;
                    gap: 12px;
                }
                .title{
                    width: 100%;
                    background: #FFF8F4;
                    border-radius: 12px;
                    padding: 12px;

                    span{
                        font-weight: 500;
                        font-size: 15px;
                        line-height: 22px;
                        color: $primary-color;
                    }
                }

                .tooltip-menu-list-with-item{
                    display: flex;
                    flex-direction: column;
                    background-color: white;
                    gap: 4px;
                    min-height: 40px;
                    width: 100%;
                    border-radius: 8px;

                    > .sub-menu-item {
                        width: 100%;
                    }
                }

                .tooltip-menu-list-without-item{
                    display: flex;
                    flex-direction: column;
                    background-color: #FFF8F4;
                    align-items: flex-start;
                    color: $primary-color;
                    padding: 0;
                    font-weight: 500;
                    font-size: 15px;
                    line-height: 22px;
                }
            }

            &.compact-mode {
                a {
                    visibility: hidden;
                    height: 0;
                    width: 0;
                }

                justify-content: center;
                column-gap: 0;

                .chevron-icon {
                    display: none;
                }
            }
            &.menu-locked {
                position: relative;
                background-color: #F7F8FC !important;
                border-radius: 8px;
                overflow: hidden;
                cursor: not-allowed;
                align-items: center;

                a {
                    color: #C0C4DD !important;
                }

                svg {
                    path {
                        fill: #F2BFB5 !important;
                    }
                }
            }
        }

        .locked-tag {
            width: 34px;
            height: 34px;
            position: absolute;
            right: 0;
            top: 0;

            img {
                width: 100%;
            }
        }

        .sub-menu-item {
            display: flex;
            align-items: center;
            box-sizing: border-box;
            cursor: pointer;
            padding: 10px 10px 10px 20px;
            font-weight: 500;
            font-size: 14px;
            line-height: 20px;

            &.locked {
                position: relative;
                overflow: hidden;
                border-radius: 8px;
                background-color: #F7F8FC;
                color: #C0C4DD;
                cursor: not-allowed;

                &:hover {
                    background-color: #F7F8FC;
                    color: #C0C4DD;
                }
            }

            &.active {
                background-color: #FFF8F4;
                border-radius: 8px;
                color: #ED3902;

                &:hover {
                    color: #ED3902;
                }
            }

            &:hover {
                display: flex;
                align-items: center;

                color: #202226;
                background-color: #FFF8F4;
                border-radius: 8px;
            }
        }

        .side-bar-content {
            margin-left: 20px;
            margin-bottom: 10px;
            max-height: 0;
            overflow: hidden;
            transition: max-height .2s ease-in-out;
            // border-left: 1px solid $grey-color;
            border-left: 1px solid #E2E5F2;
            padding-left: 5px;
            display: flex;
            flex-direction: column;
            gap: 5px;

            .sub-menu-item {
                &:not(:first-child) {
                    margin-top: 4px;
                }
            }

            &.active {
                height: fit-content;
                max-height: 400px;
            }

            &.compact-mode {
                position: absolute;
                background-color: white;
                right: -200px;
                width: fit-content;
                max-height: 200px;
            }
        }
    }

     .bottom {
         display: flex;
         justify-content: flex-end;
         position: relative;
         width: 100%;

         .btn-expand {
             display: block;
             cursor: pointer;
             background: #FF6500;
             border-radius: 12px;
             padding: 10px;
             height: 44px;
             width: 44px;
             box-sizing: border-box;

             svg {
                 height: 24px;
                 width: 24px;
                 transform: rotate(180deg);
                 transition: all .3s ease-in-out;

                 path {
                     fill: #FFF;
                 }
             }
         }

         &.compact-mode {
             justify-content: center;
             .btn-expand {
                 svg {
                     transform: rotate(360deg);
                 }
             }
         }
     }
}

.development-tooltip {
    padding: 20px;
    background: #FFFFFF;
    border-radius: 12px;
    box-shadow: 0px 4px 20px rgba(76, 95, 168, 0.1);
    color: #202226;
    min-width: 320px;

    h3 {
        margin: 0;
        font-weight: 600;
        font-size: 20px;
        line-height: 30px;
    }

    p {
        margin-top: 16px;
        font-weight: 500;
        font-size: 15px;
        line-height: 24px;
    }

    &::after {
        border-right-color: white !important;
    }
}